Bug 158603 - local variable used before set
Summary: local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 21:14 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 21:23:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-05-23 21:14:35 UTC
Description of problem:

I just tried to compile package device-mapper-multipath-0.4.4-2.3 from
Redhat Fedora Core development tree with the most excellent Intel C
compiler. 
The compiler said

pgpolicies.c(246): remark #592: variable "pgp" is used before its value is set

The source code is

        struct pathgroup * pgp;

        if (VECTOR_SIZE(pgp->paths) < 0)
                return 0;

Clearly broken code.  Suggest initialise pgp before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alasdair Kergon 2005-09-21 21:23:04 UTC
This got fixed.


Note You need to log in before you can comment on or make changes to this bug.